package com.ruoyi.project.patrol.commonuse.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.commonuse.mapper.TCommonuseSafetyBeltMapper;
import com.ruoyi.project.patrol.commonuse.domain.TCommonuseSafetyBelt;
import com.ruoyi.project.patrol.commonuse.service.ITCommonuseSafetyBeltService;

/**
 * 安全带Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TCommonuseSafetyBeltServiceImpl implements ITCommonuseSafetyBeltService 
{
    @Autowired
    private TCommonuseSafetyBeltMapper tCommonuseSafetyBeltMapper;

    /**
     * 查询安全带
     * 
     * @param id 安全带主键
     * @return 安全带
     */
    @Override
    public TCommonuseSafetyBelt selectTCommonuseSafetyBeltById(Long id)
    {
        return tCommonuseSafetyBeltMapper.selectTCommonuseSafetyBeltById(id);
    }

    /**
     * 查询安全带列表
     * 
     * @param tCommonuseSafetyBelt 安全带
     * @return 安全带
     */
    @Override
    public List<TCommonuseSafetyBelt> selectTCommonuseSafetyBeltList(TCommonuseSafetyBelt tCommonuseSafetyBelt)
    {
        return tCommonuseSafetyBeltMapper.selectTCommonuseSafetyBeltList(tCommonuseSafetyBelt);
    }

    /**
     * 新增安全带
     * 
     * @param tCommonuseSafetyBelt 安全带
     * @return 结果
     */
    @Override
    public int insertTCommonuseSafetyBelt(TCommonuseSafetyBelt tCommonuseSafetyBelt)
    {
        return tCommonuseSafetyBeltMapper.insertTCommonuseSafetyBelt(tCommonuseSafetyBelt);
    }

    /**
     * 修改安全带
     * 
     * @param tCommonuseSafetyBelt 安全带
     * @return 结果
     */
    @Override
    public int updateTCommonuseSafetyBelt(TCommonuseSafetyBelt tCommonuseSafetyBelt)
    {
        return tCommonuseSafetyBeltMapper.updateTCommonuseSafetyBelt(tCommonuseSafetyBelt);
    }

    /**
     * 批量删除安全带
     * 
     * @param ids 需要删除的安全带主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseSafetyBeltByIds(Long[] ids)
    {
        return tCommonuseSafetyBeltMapper.deleteTCommonuseSafetyBeltByIds(ids);
    }

    /**
     * 删除安全带信息
     * 
     * @param id 安全带主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseSafetyBeltById(Long id)
    {
        return tCommonuseSafetyBeltMapper.deleteTCommonuseSafetyBeltById(id);
    }
}
